Méthodes disponibles
curl --request GET \
--url https://sandbox-api.caurisflux.com/api/v1/payments/providers \
--header 'X-API-Key: <api-key>'import requests
url = "https://sandbox-api.caurisflux.com/api/v1/payments/providers"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://sandbox-api.caurisflux.com/api/v1/payments/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Paiements
Méthodes disponibles
Liste des méthodes de paiement disponibles
GET
/
payments
/
providers
Méthodes disponibles
Récupère la liste des méthodes de paiement disponibles pour un pays et/ou une devise.
Cet endpoint ne nécessite pas d’authentification.
Paramètres de requête
| Paramètre | Type | Requis | Description |
|---|---|---|---|
country | string | Non | Code ISO du pays (SN, CI, ML, etc.) |
currency | string | Non | Code devise (XOF, XAF, EUR, USD) |
Requête
curl "https://sandbox-api.caurisflux.com/api/v1/payments/providers?country=SN¤cy=XOF"
Réponse
{
"data": [
{
"id": "uuid-wave",
"name": "Wave",
"logoUrl": "https://s3.denkmako.com/cauris/logos/wave.png",
"providerCode": "wave",
"color": "#1DC9FF",
"minAmount": "100.00",
"maxAmount": "1000000.00",
"currencies": ["XOF"]
},
{
"id": "uuid-orange",
"name": "Orange Money",
"logoUrl": "https://s3.denkmako.com/cauris/logos/orange.png",
"providerCode": "orange_money",
"color": "#FF6600",
"minAmount": "200.00",
"maxAmount": "2000000.00",
"currencies": ["XOF"]
},
{
"id": "uuid-mtn",
"name": "MTN Mobile Money",
"logoUrl": "https://s3.denkmako.com/cauris/logos/mtn.png",
"providerCode": "mtn_money",
"color": "#FFCC00",
"minAmount": "100.00",
"maxAmount": "1500000.00",
"currencies": ["XOF"]
}
]
}
Champs de réponse
| Champ | Type | Description |
|---|---|---|
id | string | Identifiant unique |
name | string | Nom affiché |
logoUrl | string | URL du logo |
providerCode | string | Code à utiliser dans POST /payments/initiate |
color | string | Couleur de marque (hex) |
minAmount | string | Montant minimum accepté |
maxAmount | string | Montant maximum accepté |
currencies | array | Devises supportées |
Providers disponibles
| Code | Nom | Pays |
|---|---|---|
wave | Wave | SN, CI, ML, BF |
orange_money | Orange Money | SN, CI, ML, BF, CM |
mtn_money | MTN Mobile Money | CI, CM, BJ |
moov_money | Moov Money | CI, BF, BJ, TG |
free_money | Free Money | SN |
moby_cash | Moby Cash | BJ |
Utilisation
Utilisez cet endpoint pour :- Afficher les méthodes de paiement disponibles à vos clients
- Obtenir les logos et couleurs pour personnaliser votre interface
- Vérifier les limites de montant avant d’initier un paiement
⌘I